de.esprit.appsuite.database.dbase.meta

## Class Reference

- java.lang.Object
- - de.esprit.appsuite.database.dbase.meta.Reference

- All Implemented Interfaces:
    java.io.Serializable

      public class Reference
      extends java.lang.Object
      implements java.io.Serializable

  This class models database references such as primary/foreign key relationships
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Reference(JdbcColumn column, java.lang.String targetTableName, java.lang.String targetColumnName, java.lang.String group, int seqNum)`
    `Reference(JdbcColumn column, java.lang.String targetTableName, java.lang.String targetColumnName, java.lang.String group, int seqNum, boolean isBackRef)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDumpString()`
    `java.lang.String` | `getGroup()`
    `JdbcColumn` | `getJdbcColumn()`
    `int` | `getSeqNum()`
    `java.lang.String` | `getTargetColumnName()`
    `java.lang.String` | `getTargetFullName()`
    `java.lang.String` | `getTargetTableName()`
    `boolean` | `isBackRef()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Reference

          public Reference(JdbcColumn column,
                   java.lang.String targetTableName,
                   java.lang.String targetColumnName,
                   java.lang.String group,
                   int seqNum)

    - #### Reference

          public Reference(JdbcColumn column,
                   java.lang.String targetTableName,
                   java.lang.String targetColumnName,
                   java.lang.String group,
                   int seqNum,
                   boolean isBackRef)

  - ### Method Detail

    - #### getSeqNum

          public int getSeqNum()

    - #### getJdbcColumn

          public JdbcColumn getJdbcColumn()

    - #### getGroup

          public java.lang.String getGroup()

    - #### getTargetColumnName

          public java.lang.String getTargetColumnName()

    - #### getTargetTableName

          public java.lang.String getTargetTableName()

    - #### getTargetFullName

          public java.lang.String getTargetFullName()

    - #### isBackRef

          public boolean isBackRef()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getDumpString

          public java.lang.String getDumpString()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.